/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.impl.cache;

import org.objectweb.jalisto.se.api.cache.JalistoCache;
import org.objectweb.jalisto.se.impl.trace.Trace;

import java.io.PrintStream;
import java.util.Collection;
import java.util.Map;
import java.util.Set;

public class GenericCacheImplEmpty implements JalistoCache {

    public GenericCacheImplEmpty() {
    }

    public void init(int size, String name, double clearPourcent) {
    }

    public void setTrace(Trace trace) {
    }

    public boolean isEmpty() {
        return true;
    }

    public void clear() {
    }

    public boolean containsKey(Object key) {
        return false;
    }

    public boolean containsValue(Object value) {
        return false;
    }

    public Set entrySet() {
        return null;
    }

    public Object get(Object key) {
        return null;
    }

    public Set keySet() {
        return null;
    }

    public Object put(Object key, Object value) {
        return null;
    }

    public void putAll(Map t) {
    }

    public Object remove(Object key) {
        return null;
    }

    public int size() {
        return 0;
    }

    public Collection values() {
        return null;
    }

    public int getMaxSize() {
        return 0;
    }

    public void setMaxSize(int size) {
    }

    public void print(PrintStream out) {
        out.println("Generic Cache Empty Implementation");
    }
}
