/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.impl.server.page;

import org.objectweb.jalisto.se.api.internal.DataWrapper;
import org.objectweb.jalisto.se.impl.InFileAddress;

public abstract class UserPage extends Page {
    public UserPage(int size, Object pid) {
        super(size);
        this.pid = ((Integer) pid).intValue();
    }

    public Object getDataAt(InFileAddress dataIfa) {
        DataWrapper readObject = (DataWrapper) storedDatas[dataIfa.getIndex()];
        if (readObject != null) {
            return readObject.getClone();
        }
        return null;
    }

    public Object getPid() {
        return new Integer(pid);
    }

    private int pid;

    static final long serialVersionUID = -7589000097964761459L;
}
