/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.impl.meta.comparator;

import org.objectweb.jalisto.se.api.query.FielComparator;

public class DefaultComparator implements FielComparator {
    public boolean contains(Object candidate, Object value) {
        return String.valueOf(candidate).indexOf(String.valueOf(value)) != -1;
    }

    public boolean equal(Object candidate, Object value) {
        return candidate.equals(value);
    }

    public boolean greater(Object candidate, Object value) {
        return false;
    }

    public boolean identity(Object candidate, Object value) {
        return (candidate == value);
    }

    public boolean like(Object candidate, Object value) {
        return candidate.equals(value);
    }

    public boolean smaller(Object candidate, Object value) {
        return false;
    }

    public boolean startsWith(Object candidate, Object value) {
        return String.valueOf(candidate).startsWith(String.valueOf(value));
    }

    public boolean endsWith(Object candidate, Object value) {
        return String.valueOf(candidate).endsWith(String.valueOf(value));
    }


    static final long serialVersionUID = -7589008597964761459L;
}
