/*
 * Jalisto - JAva LIght STOrage
 * Copyright (C) 2000-2005 Xcalia http://www.xcalia.com
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307, USA.
 * 
 * Xcalia
 * 71, rue Desnouettes
 * 75014 Paris - France
 * http://www.xcalia.com
 */
package org.objectweb.jalisto.se.jca.data;

import org.objectweb.jalisto.se.impl.trace.Trace;

import javax.resource.ResourceException;
import javax.resource.spi.ManagedConnectionMetaData;

public class JalistoManagedConnectionMetaData implements ManagedConnectionMetaData {
    private String userName = "guest";
    private Trace trace = Trace.current();
    private int maxConnections = 5;

    public String getEISProductName() throws ResourceException {
        return "";
    }

    public String getEISProductVersion() throws ResourceException {
        return "";
    }

    public int getMaxConnections() throws ResourceException {
        trace.println(Trace.JCA, "getMaxConnections");
        return maxConnections;
    }

    public String getUserName() throws ResourceException {
        trace.println(Trace.JCA, "getUserName");
        return userName;
    }
}
